/*****************************************************************************/
/* Copyright (C) 2003-2009, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/*                                                                           */
/*  This file is part of the JRS MPEG-7 Library.                             */
/*  http://mpeg-7.joanneum.at                                                */
/*                                                                           */
/*  JRS MPEG-7 Library is free software: you can redistribute it and/or      */
/*  modify it under the terms of the GNU Lesser General Public License       */
/*  (LGPL) as published by the Free Software Foundation, either version 3    */
/*  of the License, or (at your option) any later version.                   */
/*                                                                           */
/*  JRS MPEG-7 Library is distributed in the hope that it will be useful,    */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the             */
/*  GNU Lesser General Public License for more details.                      */
/*                                                                           */
/*  You should have received a copy of the GNU Lesser General Public License */
/*  along with this library. If not, see <http://www.gnu.org/licenses/>.     */
/*****************************************************************************/



#ifndef _2527MP7JRSUNIQUEIDTYPE_ENCODING_LOCALTYPE_H
#define _2527MP7JRSUNIQUEIDTYPE_ENCODING_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsUniqueIDType_encoding_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsUniqueIDType_encoding_LocalType<br>
 * Located at: mpeg7-2004.xsd, line 3456<br>
 * Enumerations: <br>
 * text (mapped to XML text) <br>
 * base16 (mapped to XML base16) <br>
 * base64 (mapped to XML base64) <br>
 */
class MP7JRS_EXPORT Mp7JrsUniqueIDType_encoding_LocalType
{
public:
	/** Mp7JrsUniqueIDType_encoding_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		text, // Mapped to text
		base16, // Mapped to base16
		base64, // Mapped to base64
	};
	

// no includefile for extension defined 
// file Mp7JrsUniqueIDType_encoding_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsUniqueIDType_encoding_LocalType::Enumeration item);
	static Mp7JrsUniqueIDType_encoding_LocalType::Enumeration Parse(const XMLCh * const txt);

  static const XMLCh * nsURI(); // For namespace handling

// no includefile for extension defined 
// file Mp7JrsUniqueIDType_encoding_LocalType_ExtPropDef.h



};
#endif // _2527MP7JRSUNIQUEIDTYPE_ENCODING_LOCALTYPE_H
